
Redmine - Defect #3525

Cannot access /my/account

2009-06-23 21:11 - Claude Durocher

Status: Closed Start date: 2009-06-23

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

Trying to access /my/account generates an error 500.

ActionView::TemplateError (There is no rule called 'default' in the fr rules.) on line #6 of app/v

iews/my/_sidebar.rhtml:

3: <p><%=l(:field_login)%>: <strong><%= @user.login %></strong><br />

4: <%=l(:field_created_on)%>: <%= format_time(@user.created_on) %></p>

5: <% if @user.rss_token %>

6: <p><%= l(:label_feeds_access_key_created_on, distance_of_time_in_words(Time.now, @user.rss_toke

n.created_on)) %>

7: (<%= link_to l(:button_reset), {:action => 'reset_rss_key'}, :method => :post %>)</p>

8: <% end %>

vendor/plugins/gloc-1.1.0/lib/gloc-internal.rb:107:in `_l_rule'

vendor/plugins/gloc-1.1.0/lib/gloc.rb:44:in `lwr_'

vendor/plugins/gloc-1.1.0/lib/gloc.rb:36:in `lwr'

vendor/plugins/gloc-1.1.0/lib/gloc-rails-text.rb:38:in `distance_of_time_in_words'

app/views/my/_sidebar.rhtml:6

 There seem to be some error in the function distance_of_time_in_words.

History

#1 - 2009-07-04 15:03 - Jean-Philippe Lang

Devel version does not uses gloc plugin for i18n.

Where does your stack trace some from?

#2 - 2009-11-05 16:02 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Invalid
